10.13 (17A291j) Twitter app crashes when scrolling through timeline

Number:rdar://32982375 Date Originated:26 Jun 2017
Status:Duplicate/32494648 Resolved:
Product:macOS Product Version:10.13 (17A291j)
Classification:Crash Reproducible:Sometimes
Performance (slow, hung)

When scrolling through the timeline of the Twitter app, the app will disappear (crash). No crash notification is shown (for Ignoring/Sending report).

Steps to Reproduce:
1. Open Twitter for Mac.
2. Scroll downwards through the home timeline, in intervals.
3. Keep scrolling.

Expected Results:
The app should behave normally.

Observed Results:
The app sometimes crashes. Conditions are unclear.

macOS 10.13 High Sierra Developer Beta 2, Version 10.13 (17A291j) 
Twitter for Mac 4.3.2 (5002734)

The attached sysdiagnose was taken AFTER a Twitter for Mac crash.


Apple Developer Relations

July 24 2017, 4:45 PM Thanks for contacting us. If you see the issue again on beta 4, please file a new bug report. Please be sure to regularly check new Apple releases for any updates that might affect this issue.


July 22 2017, 12:30 PM I am using a macOS 10.13 Beta (17A306f) – in which beta is this bug closed?

Apple Developer Relations

July 21 2017, 5:22 PM Thank you for contacting us. The original report on this issue, Bug ID 32494648, is closed as resolved in macOS 10.13 betas, through internal tests. If you still see the issue when macOS 10.13 is publicly released, please file a new bug report. Please note that you will not be able to directly view the original report in order to keep its information confidential. If you have further questions about this issue, please update your report again using the Apple Bug Reporter http://bugreport.apple.com.


July 13 2017, 1:54 AM The Twitter app still crashes – this issue is still present in 10.13 Beta (17A306f). See crash log attached. crashlog.txt 87.16 KB


July 13 2017, 1:54 AM The Twitter app still crashes – this issue is still present in 10.13 Beta (17A306f). See crash log attached.

Apple Developer Relations

June 28 2017, 9:25 AM Engineering has determined that your bug report is a duplicate of another issue and will be closed. The open or closed status of the original report your bug was duplicated to appears in a text box within the bug detail section of the bug reporter user interface. For security and privacy reasons, we don't provide access to the original bug yours was duped to. If you have any questions or concerns, please update your report directly at this link: https://bugreport.apple.com/.


June 27 2017, 12:20 AM Please find attached a screencast of this bug as well as a report created with the following command: sudo sysdiagnose -f ~/Desktop Twitter Screencast.mov attached 24.87 MB

sysdiagnose_2017.06.26_23-57-30+0200Twitter-Mac_OS_X-Mac-17A291j.tar.gz attached 302.35 MB

Please note: Reports posted here will not necessarily be seen by Apple. All problems should be submitted at bugreport.apple.com before they are posted here. Please only post information for Radars that you have filed yourself, and please do not include Apple confidential information in your posts. Thank you!